Package org.springframework.jdbc.datasource.init

# Class ScriptParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.jdbc.datasource.init.ScriptException
org.springframework.jdbc.datasource.init.ScriptParseException

All Implemented Interfaces:
  `Serializable`

public class ScriptParseException extends ScriptException
Thrown by `ScriptUtils` if an SQL script cannot be properly parsed.

Since:
  4.0.3
Author:
  Sam Brannen
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScriptParseException(String message, org.springframework.core.io.support.EncodedResource resource)`
Create a new `ScriptParseException`.
`ScriptParseException(String message, org.springframework.core.io.support.EncodedResource resource, Throwable cause)`
Create a new `ScriptParseException`.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScriptParseException

public ScriptParseException(String message, @Nullable org.springframework.core.io.support.EncodedResource resource)
Create a new `ScriptParseException`.

Parameters:
  `message` - detailed message
  `resource` - the resource from which the SQL script was read

### ScriptParseException

public ScriptParseException(String message, @Nullable org.springframework.core.io.support.EncodedResource resource, @Nullable Throwable cause)
Create a new `ScriptParseException`.

Parameters:
  `message` - detailed message
  `resource` - the resource from which the SQL script was read
  `cause` - the underlying cause of the failure